"use strict";
const declaration_1 = require("typedoc/dist/lib/utils/options/declaration");
const plugin_1 = require("./plugin");
module.exports = (PluginHost) => {
    const app = PluginHost.owner;
    if (app.converter.hasComponent('markdown')) {
        return;
    }
    app.options.addDeclaration({
        component: 'markdown',
        help: 'Markdown Plugin: (docusaurus|gitbook|bitbucket) Specifies the markdown target.',
        name: 'platform',
        type: declaration_1.ParameterType.String,
    });
    app.options.addDeclaration({
        component: 'markdown',
        help: 'Markdown Plugin: Suppress project title (Home/README link) rendering.',
        name: 'hideProjectTitle',
        type: declaration_1.ParameterType.Boolean,
    });
    app.options.addDeclaration({
        component: 'markdown',
        help: 'Markdown Plugin: Suppress file sources from output.',
        name: 'hideSources',
        type: declaration_1.ParameterType.Boolean,
    });
    app.options.addDeclaration({
        component: 'markdown',
        help: 'Markdown Plugin: Prevent breadcrumbs from rendering in output.',
        name: 'hideBreadcrumbs',
        type: declaration_1.ParameterType.Boolean,
    });
    app.options.addDeclaration({
        component: 'markdown',
        help: 'Markdown Plugin: Prevent indexes from rendering in output.',
        name: 'hideIndexes',
        type: declaration_1.ParameterType.Boolean,
    });
    app.options.addDeclaration({
        component: 'markdown',
        help: 'Markdown Plugin: Use HTML named anchors as fragment identifiers for engines that do not automatically assign header ids.',
        name: 'namedAnchors',
        type: declaration_1.ParameterType.Boolean,
    });
    app.options.addDeclaration({
        component: 'markdown',
        help: 'Markdown Plugin: Deprectated - use --platform.',
        name: 'mdEngine',
        type: declaration_1.ParameterType.String,
    });
    app.options.addDeclaration({
        component: 'markdown',
        help: 'Markdown Plugin: Deprectated - use --hideSources.',
        name: 'mdHideSources',
        type: declaration_1.ParameterType.Boolean,
    });
    app.converter.addComponent('markdown', new plugin_1.MarkdownPlugin(app.converter));
};
