"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const plugin_1 = require("../../plugin");
const theme_gitbook_1 = require("../theme.gitbook");
const theme_vuepress_1 = require("../theme.vuepress");
const relative_url_1 = require("./relative-url");
function breadcrumbs() {
    if (!isVisible()) {
        return '';
    }
    return breadcrumb(this.model, this.project, []);
}
exports.breadcrumbs = breadcrumbs;
function breadcrumb(model, project, md) {
    if (model && model.parent) {
        breadcrumb(model.parent, project, md);
        if (model.url) {
            md.push(`[${model.name}](${relative_url_1.relativeUrl(model.url)})`);
        }
        else {
            md.push(model.url);
        }
    }
    else {
        md.push(`[Globals](${relative_url_1.relativeUrl(project.url)})`);
    }
    return md.join(' › ');
}
function isVisible() {
    if (plugin_1.MarkdownPlugin.settings.hideBreadcrumbs ||
        plugin_1.MarkdownPlugin.theme instanceof theme_gitbook_1.GitbookTheme ||
        plugin_1.MarkdownPlugin.theme instanceof theme_vuepress_1.VuePressTheme) {
        return false;
    }
    return true;
}
