"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const plugin_1 = require("../../plugin");
const theme_docusaurus_1 = require("../theme.docusaurus");
const theme_gitbook_1 = require("../theme.gitbook");
const theme_vuepress_1 = require("../theme.vuepress");
const relative_url_1 = require("./relative-url");
function projectTitle() {
    if (!isVisible()) {
        return '';
    }
    return `**[${this.project.name}](${relative_url_1.relativeUrl(plugin_1.MarkdownPlugin.theme.indexName)})**`;
}
exports.projectTitle = projectTitle;
function isVisible() {
    if (plugin_1.MarkdownPlugin.settings.hideProjectTitle ||
        plugin_1.MarkdownPlugin.theme instanceof theme_docusaurus_1.DocusaurusTheme ||
        plugin_1.MarkdownPlugin.theme instanceof theme_gitbook_1.GitbookTheme ||
        plugin_1.MarkdownPlugin.theme instanceof theme_vuepress_1.VuePressTheme) {
        return false;
    }
    return true;
}
